### YamlMime:ManagedReference
items:
- uid: OmiLAXR.Analytics.Editor.IsDirtyUtility
  commentId: T:OmiLAXR.Analytics.Editor.IsDirtyUtility
  id: IsDirtyUtility
  parent: OmiLAXR.Analytics.Editor
  children:
  - OmiLAXR.Analytics.Editor.IsDirtyUtility.IsDirty(System.Int32)
  - OmiLAXR.Analytics.Editor.IsDirtyUtility.IsDirty(UnityEngine.GameObject)
  langs:
  - csharp
  - vb
  name: IsDirtyUtility
  nameWithType: IsDirtyUtility
  fullName: OmiLAXR.Analytics.Editor.IsDirtyUtility
  type: Class
  source:
    remote:
      path: Editor/IsDirtyUtility.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.analytics.git
    id: IsDirtyUtility
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.Analytics/Editor/IsDirtyUtility.cs
    startLine: 7
  assemblies:
  - OmiLAXR.Analytics.Editor
  namespace: OmiLAXR.Analytics.Editor
  syntax:
    content: >-
      [Obsolete("Not working", true)]

      public class IsDirtyUtility
    content.vb: >-
      <Obsolete("Not working", True)>

      Public Class IsDirtyUtility
  inheritance:
  - System.Object
  attributes:
  - type: System.ObsoleteAttribute
    ctor: System.ObsoleteAttribute.#ctor(System.String,System.Boolean)
    arguments:
    - type: System.String
      value: Not working
    - type: System.Boolean
      value: true
- uid: OmiLAXR.Analytics.Editor.IsDirtyUtility.IsDirty(System.Int32)
  commentId: M:OmiLAXR.Analytics.Editor.IsDirtyUtility.IsDirty(System.Int32)
  id: IsDirty(System.Int32)
  parent: OmiLAXR.Analytics.Editor.IsDirtyUtility
  langs:
  - csharp
  - vb
  name: IsDirty(int)
  nameWithType: IsDirtyUtility.IsDirty(int)
  fullName: OmiLAXR.Analytics.Editor.IsDirtyUtility.IsDirty(int)
  type: Method
  source:
    remote:
      path: Editor/IsDirtyUtility.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.analytics.git
    id: IsDirty
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.Analytics/Editor/IsDirtyUtility.cs
    startLine: 28
  assemblies:
  - OmiLAXR.Analytics.Editor
  namespace: OmiLAXR.Analytics.Editor
  syntax:
    content: public static bool IsDirty(int instanceID)
    parameters:
    - id: instanceID
      type: System.Int32
    return:
      type: System.Boolean
    content.vb: Public Shared Function IsDirty(instanceID As Integer) As Boolean
  overload: OmiLAXR.Analytics.Editor.IsDirtyUtility.IsDirty*
  nameWithType.vb: IsDirtyUtility.IsDirty(Integer)
  fullName.vb: OmiLAXR.Analytics.Editor.IsDirtyUtility.IsDirty(Integer)
  name.vb: IsDirty(Integer)
- uid: OmiLAXR.Analytics.Editor.IsDirtyUtility.IsDirty(UnityEngine.GameObject)
  commentId: M:OmiLAXR.Analytics.Editor.IsDirtyUtility.IsDirty(UnityEngine.GameObject)
  id: IsDirty(UnityEngine.GameObject)
  parent: OmiLAXR.Analytics.Editor.IsDirtyUtility
  langs:
  - csharp
  - vb
  name: IsDirty(GameObject)
  nameWithType: IsDirtyUtility.IsDirty(GameObject)
  fullName: OmiLAXR.Analytics.Editor.IsDirtyUtility.IsDirty(UnityEngine.GameObject)
  type: Method
  source:
    remote:
      path: Editor/IsDirtyUtility.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.analytics.git
    id: IsDirty
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR.Analytics/Editor/IsDirtyUtility.cs
    startLine: 33
  assemblies:
  - OmiLAXR.Analytics.Editor
  namespace: OmiLAXR.Analytics.Editor
  syntax:
    content: public static bool IsDirty(GameObject gameObject)
    parameters:
    - id: gameObject
      type: UnityEngine.GameObject
    return:
      type: System.Boolean
    content.vb: Public Shared Function IsDirty(gameObject As GameObject) As Boolean
  overload: OmiLAXR.Analytics.Editor.IsDirtyUtility.IsDirty*
references:
- uid: OmiLAXR.Analytics.Editor
  commentId: N:OmiLAXR.Analytics.Editor
  href: OmiLAXR.html
  name: OmiLAXR.Analytics.Editor
  nameWithType: OmiLAXR.Analytics.Editor
  fullName: OmiLAXR.Analytics.Editor
  spec.csharp:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Analytics
    name: Analytics
    href: OmiLAXR.Analytics.html
  - name: .
  - uid: OmiLAXR.Analytics.Editor
    name: Editor
    href: OmiLAXR.Analytics.Editor.html
  spec.vb:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Analytics
    name: Analytics
    href: OmiLAXR.Analytics.html
  - name: .
  - uid: OmiLAXR.Analytics.Editor
    name: Editor
    href: OmiLAXR.Analytics.Editor.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: OmiLAXR.Analytics.Editor.IsDirtyUtility.IsDirty*
  commentId: Overload:OmiLAXR.Analytics.Editor.IsDirtyUtility.IsDirty
  href: OmiLAXR.Analytics.Editor.IsDirtyUtility.html#OmiLAXR.Analytics.Editor.IsDirtyUtility.IsDirty(System.Int32)
  name: IsDirty
  nameWithType: IsDirtyUtility.IsDirty
  fullName: OmiLAXR.Analytics.Editor.IsDirtyUtility.IsDirty
- uid: System.Int32
  commentId: T:System.Int32
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int
  nameWithType: int
  fullName: int
  nameWithType.vb: Integer
  fullName.vb: Integer
  name.vb: Integer
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: UnityEngine.GameObject
  commentId: T:UnityEngine.GameObject
  parent: UnityEngine
  isExternal: true
  name: GameObject
  nameWithType: GameObject
  fullName: UnityEngine.GameObject
- uid: UnityEngine
  commentId: N:UnityEngine
  isExternal: true
  name: UnityEngine
  nameWithType: UnityEngine
  fullName: UnityEngine
